org.apache.jmeter.thinktime

## Class DefaultThinkTimeCreator

- java.lang.Object
- - org.apache.jmeter.thinktime.DefaultThinkTimeCreator

All Implemented Interfaces:
  ThinkTimeCreator

    public class DefaultThinkTimeCreator
    extends Object
    implements ThinkTimeCreator

Default implementation of `ThinkTimeCreator`

Since:
  3.2

### Constructor Summary

Constructors
Constructor and Description
`DefaultThinkTimeCreator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JMeterTreeNode[]` `createThinkTime(GuiPackage guiPackage, JMeterTreeNode parentNode)` Create think time

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultThinkTimeCreator

    public DefaultThinkTimeCreator()

### Method Detail

#### createThinkTime

    public JMeterTreeNode[] createThinkTime(GuiPackage guiPackage,
                                            JMeterTreeNode parentNode)
                                     throws IllegalUserActionException

Description copied from interface: `ThinkTimeCreator`
Create think time

Specified by:
  `createThinkTime` in interface `ThinkTimeCreator`
Parameters:
  `guiPackage` - `GuiPackage`
  `parentNode` - `JMeterTreeNode`
Returns:
  array of 2 nodes
Throws:
  `IllegalUserActionException` - when timer can't be created for this node